Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - AtomConnectorVersions

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

AtomConnectorVersions

The Atom Connector Versions object represents the properties of connectors that are used by a Runtime, Runtime cluster, or Runtime cloud.

Required Privileges

You need these privileges in the target environment:

Write access

  • N/A

Read access

  • API — Use the Boomi Platform API to access account data.
  • ATOM_MANAGEMENT — Configure and administer integration runtimes.
  • OR ATOM_MANAGEMENT_READ_ONLY

Retrieves an instance of an AtomConnectorVersions object

Retrieves the properties of connectors used by the Runtime, Runtime cluster, or Runtime cloud with specified ID.

Authorizations:
basicAuth
path Parameters
id
required
string

The ID of the Runtime, Runtime cluster, or Runtime cloud.

Responses

Response Schema:
Array of objects (ConnectorVersion)

Each pair of name and version fields represents a connector listed on the Runtime Management page > Runtime & Connector Versions tab.

id
string

The ID of the Runtime, Runtime cluster, or Runtime cloud.

Response samples

Content type
{
  • "@type": "AtomConnectorVersions",
  • "ConnectorVersion": [
    • {
      },
    • {
      },
    • {
      },
    • {
      }
    ],
  • "id": "3456789a-bcde-f012-3456-789abcdef012"
}

Retrieves multiple AtomConnectorVersions objects by identifier

To learn more about bulk, refer to the topic Bulk GET operations.

Authorizations:
basicAuth
Request Body schema:
optional
Array of objects (BulkId)
type
string
Enum: "GET" "DELETE" "UPDATE" "CREATE"

Responses

Response Schema:
Array of objects
Array
required
object (AtomConnectorVersions)
index
integer <int32>
id
string
statusCode
integer <int32>
errorMessage
string

Request samples

Content type
{
  • "request": [
    • {
      }
    ],
  • "type": "GET"
}

Response samples

Content type
{
  • "response": [
    • {
      }
    ]
}